Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039212
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformtrivialhave not tried2018-09-01 12:042020-04-16 07:55
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision794594bbf2b9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039212: Small cleanup of build.xml (simplify smartbuild antcalls, remove obsolete db.apply.modules & apply.on.update)

DescriptionSmall simplifications to build.xml files
- in smartbuild:
  - remove setting onlyIfModified property. That was used before inside dbsm.
    But its usage got removed in commit 530adf6659de. So no need setting it.
  - Remove an antcall to avoid overhead (which parses build.xml again from zero)
- in install.source
  - Remove an antcall to avoid overhead
- remove ant target db.apply.modules
  That is never called anywhere in the build system.
  It is not useful to keep for manual use as it just calls another target
  depending on the propery apply.on.update which is also never set in the build
  system automatically.
- in generate.java.doc
  Simplify conditions by stopping to compare against Java 1.7 which is no longer supported. To safeguard task add depends on "init" which is checking for Java>=1.8 already
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038296 acknowledgedplatform Review & cleanup build.xml 

-  Notes
(0119161)
hgbot (developer)
2020-04-14 18:56

Repository: erp/devel/pi
Changeset: 908fd634e36f69c3782726ba2817b91047715da0
Author: Stefan Huehner <stefan.huehner <at> openbravo.com>
Date: Mon Apr 13 18:18:33 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/908fd634e36f69c3782726ba2817b91047715da0 [^]

related to ISSUE-39212: Simplify build.xml javadoc (java version conditions)

Stop checking for Java 1.7 case as that is no longer supported for
several releases. Add init task as dependency to generate.java.doc to
ensure we run the java version check also for the javadoc case.

---
M build.xml
---
(0119162)
hgbot (developer)
2020-04-14 18:56

Repository: erp/devel/pi
Changeset: 5539ab6cb39068a841da14b43ebb83f10d63f80a
Author: Stefan Huehner <stefan.huehner <at> openbravo.com>
Date: Mon Apr 13 18:25:18 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5539ab6cb39068a841da14b43ebb83f10d63f80a [^]

related to ISSUE-39212: Simplify build.xml and remove clutter in output

In smartbuild task:
- Remove setting onlyIfModified (use of it was removed from
  dbsourcemanager in commit 530adf6659de already)
  - Move antcall of core.lib to depends (can be done as core.lib target
    has no conditional (if,unless). + also core.lib does not use the smart.mode
    properpy which was set before the old antcall.
    Result: Avoid overhead of ant parsing main build file again done by antcall.
- in install.source task
  - remove echo "applying modules" no other tasks announces itself that way
    that allows to move 2 antcalls apply.module & import.sample.data

---
M build.xml
---
(0119163)
hgbot (developer)
2020-04-14 18:56

Repository: erp/devel/pi
Changeset: 794594bbf2b9a45d6cf4701bb72914e492fb0ff5
Author: Stefan Huehner <stefan.huehner <at> openbravo.com>
Date: Mon Apr 13 18:28:40 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/794594bbf2b9a45d6cf4701bb72914e492fb0ff5 [^]

Fixes ISSUE-39212: Remove obsolete db.apply.modules & apply.on.update

Main build.xml file has some obsolete items which are never used and are
removed here.
Task db.apply.modules is never called anywhere in the build system.
Also it is not useful to keep for potential manual developer usage as
its purpose is just to call another ant target apply.module depending
on if the flag apply.on.update is set.
Removing that task also some small follow up cleanup on the condition
definition in + the properly definition.

---
M build.xml
---
(0119204)
alostale (developer)
2020-04-16 07:55

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/58 [^]

- Issue History
Date Modified Username Field Change
2018-09-01 12:04 shuehner New Issue
2018-09-01 12:04 shuehner Assigned To => shuehner
2018-09-01 12:04 shuehner Modules => Core
2018-09-01 12:04 shuehner Triggers an Emergency Pack => No
2018-09-01 12:05 shuehner Relationship added blocks 0038296
2018-09-01 12:25 shuehner Review Assigned To => alostale
2020-04-13 18:08 shuehner Description Updated View Revisions
2020-04-14 18:56 hgbot Checkin
2020-04-14 18:56 hgbot Note Added: 0119161
2020-04-14 18:56 hgbot Checkin
2020-04-14 18:56 hgbot Note Added: 0119162
2020-04-14 18:56 hgbot Checkin
2020-04-14 18:56 hgbot Note Added: 0119163
2020-04-14 18:56 hgbot Status new => resolved
2020-04-14 18:56 hgbot Resolution open => fixed
2020-04-14 18:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/794594bbf2b9a45d6cf4701bb72914e492fb0ff5 [^]
2020-04-16 07:55 alostale Note Added: 0119204
2020-04-16 07:55 alostale Status resolved => closed
2020-04-16 07:55 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker